API Reference

Verify match v0.2

Check the Authorization guide on how to get an OAuth2 token, with the following scope:

dpv:FraudPreventionAndDetection#kyc-match:match

Create an app on our Sandbox to get credentials and retrieve tokens so you can perform API calls to our operators' production environments, or use the following convenience token to test in mock mode:

mock_sandbox_access_token

Body Params
string

A public identifier addressing a telephone subscription. In mobile networks it corresponds to the MSISDN (Mobile Station International Subscriber Directory Number). In order to be globally unique it has to be formatted in international format, according to E.164 standard, optionally prefixed with '+'.

The phoneNumber is optional in the request body. Regardless of whether the phoneNumber is explicitly stated in the request body or not, at least one of the other request body parameters must be provided to perform the match check. Otherwise, an error will be returned:

HTTP 400 - KNOW_YOUR_CUSTOMER.INVALID_PARAM_COMBINATION

string

Id number associated to the official identity document in the country. It may contain alphanumeric characters.

In order to proceed with the match check, some Operators may have the requirement to perform an additional level of validation based on the idDocument property. This means that, in those cases, the idDocument is required and the provided value needs to match the one stored in the Operator system associated with the indicated phoneNumber.

This validation will be done before proceeding with the match check of the rest of the properties. In these cases where the Operator has the requirement to validate the idDocument, the following two rules apply:

  • If no idDocument is provided, then the following error will be returned:

    HTTP 403 - KNOW_YOUR_CUSTOMER.ID_DOCUMENT_REQUIRED

  • If the provided idDocument does not match the one stored in the Operator systems, then the following error will be returned:

    HTTP 403 - KNOW_YOUR_CUSTOMER.ID_DOCUMENT_MISMATCH

  • There is a corner case where the Operator requires the idDocument to perform the match validation for the rest of the properties, but it also needs to be able to perform the validation only for the idDocument itself. In this case, if only the idDocument is provided along with the phoneNumber (either in the request body or extracted from the access token) then the match will be performed as with any other attribute and the response will contain the result of the match operation.

string

Customer's full name (givenName + familyName).

string

First/given name or compound first/given name of the customer.

string

Last name, family name, or surname of the customer.

string

Customer's full name (givenName + familyName) in Hankaku-Kana format (reading of name) for Japan.

string

Customer's full name (givenName + familyName) in Zenkaku-Kana format (reading of name) for Japan.

string

Middle name/s of the customer.

string

Last/family/sur- name at birth of the customer.

string

Customer's address (StreetNumber + PostalCode).

string

Name of the street of the customer's address. It should not include the type of the street.

string

The street number of the customer's address. Number identifying a specific property on the 'streetName'.

string

Zip code or postal code

string

Region/prefecture of the customer's address

string

Locality of the customer's address

string

Country of the customer's address. Format ISO 3166-1 alpha-2

string

Specific identifier of the house needed depending on the property type. For example, number of apartment in an apartment building.

string

The birthdate of the customer, in ISO 8601 calendar date format (YYYY-MM-DD).

string

Email address of the customer in the RFC specified format (local-part@domain).

string
enum

Gender of the customer (Male/Female/Other).

Allowed:
Responses

Language
Credentials
OAuth2
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json